Subject: [E3-hacking] ARM compilers

From: David Given <[email-masked]>
Date: Tue, 22 Mar 2005 23:32:10 +0000

I don't suppose anyone knows where I can get a debian binary package of
gcc-arm-elf for current 'unstable', do they? I can't get the blasted
thing to compile on my system.

I'm currently using tcc, which has the advantage of being small and very
fast, but produces code that can charitably be described as really
lousy. The other toolchain I have access to, ACK, produces duff code for
the ARM.

Oh, yeah, I'm now running C on the E2... is there any useful information
I can find out from it? I'm currently attempting to probe the segment
registers but I need to print out the appropriate slab from the manual
to make reasonable sense of the results.

-- 
+- David Given --McQ-+ "Feminism encourages women to leave their
|  [email-masked]    | husbands, kill their children, practice withcraft,
| ([email-masked]) | destroy capitalism and become lesbians." --- Rev.
+- www.cowlark.com --+ Pat Robertson